"use strict"
this.name			= "moarNews"
this.version		= "0.1"
this.description	= "moar news items for GNN"
this.author			= "Cholmondely, Massively Locked"
this.copyright		= "(C) 2022"
this.licence			= "CC-NC-by-SA 4.0"
/*
This add-on obviously requires the GNN OXZ to be installed.  If it isn't, this add-on will have no effect.
*/

this.$main = function () {
	const moarNews = [		// this array contains all the news entries- it can get big!
		{ID: "moarNews000", Message: "The office of the Director of the Galactic Archives has issued a press release indicating that major announcements regarding the Archives will soon be forthcoming.  When asked if there is any merit to the rumors of relocating the office to the Digebiti system, the office had no comment."},
		{ID: "moarNews001", Message: "The 342nd Annual Ships Expo has created enormous traffic jams in the Mariar system.  One pilot interviewed at the station reportedly said that they were massively locked from witchpoint all the way to the station.  Authorities advise travelling off-lane and to use public transport where possible."},
		{ID: "moarNews002", Message: "In entertainment news, there are rumors swirling about that the popular vid-serial, The Frontier in Life, which was cancelled several years ago- will be making a come-back.  So far, there has been no word if the original cast would be returning for this possible revival."},
		// template for new entries.  Don't forget to increment the ID# and the comma after the closing }
		// {ID: "moarNews00#", Message: "..."},
	]	// closing bracket of moarNews- make sure that this is always after the last news entry

	moarNews.forEach (function (elmnt, ndx) {
		worldScripts.GNN._insertNews (elmnt)
		// the following IF statement is mainly for testing
		const rndNews = Math.floor (Math.random () * moarNews.length)
		if (ndx === rndNews) worldScripts.GNN._showScreen (elmnt)
	})
}
this.startUpComplete = function () {
	if (worldScripts.GNN._insertNews) const delayMoarNews = new Timer (this, $main, 1)
}
